Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
pdhuyxn2

[Yêu Cầu] Lisp Scale Theo Đối Tượng Mẫu

Các bài được khuyến nghị

Nhờ các Bác viết hộ lisp .

 

Em có 2 block .

Trong đó có 1 block (mẫu) bây giờ em scale blocke 2 sao cho cạnh A’B’ và A’’B’’ bằng với kích thước của cạnh AB của Block mẫu.

Cám ơn Các Bác!http://www.cadviet.com/upfiles/5/44062_khungbcktkt.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn thử cái này xem: (scale 1 lúc nhiều khung - Chọn vào block, không cần chọn vào cạnh)

 

(defun c:tt  (/ bk1 bkx bp2 ds1 dsx i lp1 lp2 obj ss)
 (and (setq bk1 (car (entsel "\nChon mau: ")))
      (princ "\nChon blks scale:")
      (setq ss (ssget '((0 . "INSERT"))))
      (setq lp1 (acet-ent-geomextents bk1)
            ds1 (distance (car lp1) (list (caar lp1) (cadadr lp1))))
      (repeat (setq i (sslength ss))
       (setq bkx (ssname ss (setq i (1- i)))
             lp2 (acet-ent-geomextents bkx)
             dsx (distance (car lp2) (list (caar lp2) (cadadr lp2)))
             obj (vlax-ename->vla-object bkx)
             bp2 (vla-get-insertionpoint obj))
       (vla-ScaleEntity obj bp2 (/ ds1 dsx))))
 (princ))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cám ơn Bác

Lisp của Bác em sử dụng nhưng không scale được Mong Bác và Anh Em trên diễn đàn xem lại lisp có bị lỗi gì không nhé.

Em chạy trên cad2008.

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cám ơn Bác

Lisp của Bác em sử dụng nhưng không scale được Mong Bác và Anh Em trên diễn đàn xem lại lisp có bị lỗi gì không nhé.

Em chạy trên cad2008.

Bạn chụp ảnh màn hình gửi lên xem sao!

Nghi vấn:

1. Chưa cài Express

2. Chưa load Vlisp -> thêm cái này (vl-load-com) vào đầu hoặc cuối lsp.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Lisp này chỉ sử dụng được khi copy lisp vào ổ C.

Khi copy lisp sang chỗ khác thì bị lỗi.Bác có thể chỉnh lại giúp em khắc phục lỗi đó được không ạ.

Cám ơn Bác. 

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

+ Lsp này chẳng liên quan gì đến ổ C hay D... Thậm chí không copy vào ổ nào nó cũng chạy (Bạn thử copy nội dung lsp ở trên và paste vào dòng command).

+ Bạn hai lần kêu lỗi, vậy cụ thể là lỗi thế nào, Cad nó báo thể nào...Chụp hình gửi lên đây.

(Gửi bạn câu chuyện: Trong hiệu thuốc ...

- Khách : Chị bán cho em ít thuốc chữa bệnh!

- Người bán hàng: Em bị gì vậy?

- Khách: Dạ... Em bị bệnh ạ...!

- Người bán hàng: Biến con mẹ mày đi để tao còn làm ăn...)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

- Với thư mục chứa lsp của bạn (bạn thử copy 1 lsp khác vào xem thử có load được không???)

- Cái thư mục chứa file lsp, bạn đừng để tiếng việt có dấu (ScaletheodoitươngMau).

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×